Bug 1125426 - Update to 1.4.0 release
Summary: Update to 1.4.0 release
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: ModemManager
Version: 21
Hardware: All
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: Dan Williams
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-31 19:28 UTC by poma
Modified: 2014-08-27 15:21 UTC (History)
1 user (show)

Fixed In Version: ModemManager-1.4.0-1.fc21
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-08-27 15:21:43 UTC


Attachments (Terms of Use)
Update to 1.3.0 git b8138d9 2014-07-29 (2.96 KB, patch)
2014-07-31 19:29 UTC, poma
no flags Details | Diff
Update to 1.3.0 git 1fc3e17 2014-08-02 (19.50 KB, patch)
2014-08-02 06:46 UTC, poma
no flags Details | Diff
Update to 1.3.0 git 6531297 2014-08-04 (4.36 KB, patch)
2014-08-04 07:08 UTC, poma
no flags Details | Diff
Update to 1.3.0 git 3dd6f93 2014-08-04 (4.57 KB, patch)
2014-08-04 22:33 UTC, poma
no flags Details | Diff
mm-bearer-qmi: QMI IPv4 - revert to working MM_BEARER_IP_METHOD_DHCP (695 bytes, patch)
2014-08-04 22:36 UTC, poma
no flags Details | Diff
Update to 1.4.0 release (4.06 KB, patch)
2014-08-22 18:35 UTC, poma
no flags Details | Diff

Description poma 2014-07-31 19:28:57 UTC
$ rpm -qa ModemManager*
ModemManager-devel-1.3.0-1.git20140729.fc21.x86_64
ModemManager-vala-1.3.0-1.git20140729.fc21.x86_64
ModemManager-1.3.0-1.git20140729.fc21.x86_64
ModemManager-glib-devel-1.3.0-1.git20140729.fc21.x86_64
ModemManager-glib-1.3.0-1.git20140729.fc21.x86_64

Comment 1 poma 2014-07-31 19:29:33 UTC
Created attachment 923028 [details]
Update to 1.3.0 git b8138d9 2014-07-29

Comment 2 poma 2014-07-31 19:36:45 UTC
libmbim - update to 1.9.0 git 597af10 2014-07-31
id=1125422

libqmi - update to 1.11.0 git 852b5bf 2014-06-02
id=1125424

Comment 3 poma 2014-08-02 06:44:55 UTC
$ rpm -qa ModemManager*
ModemManager-glib-1.3.0-1.git20140802.fc21.x86_64
ModemManager-1.3.0-1.git20140802.fc21.x86_64
ModemManager-devel-1.3.0-1.git20140802.fc21.x86_64
ModemManager-glib-devel-1.3.0-1.git20140802.fc21.x86_64
ModemManager-vala-1.3.0-1.git20140802.fc21.x86_64

Comment 4 poma 2014-08-02 06:46:43 UTC
Created attachment 923437 [details]
Update to 1.3.0 git 1fc3e17 2014-08-02

Comment 5 poma 2014-08-04 07:08:55 UTC
Created attachment 923787 [details]
Update to 1.3.0 git 6531297 2014-08-04

Comment 6 poma 2014-08-04 07:10:08 UTC
$ rpm -qa ModemManager*
ModemManager-devel-1.3.0-1.git20140804.fc21.x86_64
ModemManager-glib-1.3.0-1.git20140804.fc21.x86_64
ModemManager-glib-devel-1.3.0-1.git20140804.fc21.x86_64
ModemManager-1.3.0-1.git20140804.fc21.x86_64
ModemManager-vala-1.3.0-1.git20140804.fc21.x86_64

Comment 7 poma 2014-08-04 22:33:48 UTC
Created attachment 924015 [details]
Update to 1.3.0 git 3dd6f93 2014-08-04

Comment 8 poma 2014-08-04 22:36:14 UTC
Created attachment 924016 [details]
mm-bearer-qmi: QMI IPv4 - revert to working MM_BEARER_IP_METHOD_DHCP

Comment 9 poma 2014-08-04 22:50:21 UTC
Via "MM_BEARER_IP_METHOD_STATIC" connection cannot be established.

Via "MM_BEARER_IP_METHOD_DHCP" connection is very much possible, even without nmcli, 
e.g.
# mmcli -m 0 --simple-connect="apn=<APN>,user=<USER>,password=<PASSWD>"
# dhclient wwan0
And that's it!

Maybe "MM_BEARER_IP_METHOD_STATIC" we could call "MM_BEARER_IP_METHOD_CANNOT". :)

Comment 10 Dan Williams 2014-08-06 16:12:50 UTC
Hah, I just did a full stack rebuild yesterday and today for libmbim, libqmi, and ModemManager.  If you want, we can track the STATIC/DHCP bug here (rename the bug summary though), but we still need the plain ModemManager debug logs on the upstream mailing list as Aleksander requested.  Thanks!

Comment 11 poma 2014-08-07 10:17:50 UTC
Yeah, as you've written on devel@, for the QMI STATIC/DHCP issue lets follow modemmanager-devel@ thread. ;)

Thanks.

Comment 12 poma 2014-08-22 18:34:55 UTC
$ rpm -qa ModemManager*
ModemManager-glib-1.4.0-1.fc20.x86_64
ModemManager-devel-1.4.0-1.fc20.x86_64
ModemManager-glib-devel-1.4.0-1.fc20.x86_64
ModemManager-vala-1.4.0-1.fc20.x86_64
ModemManager-1.4.0-1.fc20.x86_64

Comment 13 poma 2014-08-22 18:35:41 UTC
Created attachment 929737 [details]
Update to 1.4.0 release


Note You need to log in before you can comment on or make changes to this bug.